ycrcb2rgb: ycrcb2rgb_example.c File Reference

| ycrcb2rgb Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Macros | Functions | Variables
ycrcb2rgb_example.c File Reference

## Overview

This file demonstrates how to use Xilinx YCrCb to RGB Color Space Converter (YCrCb2RGB) driver on Xilinx YCrCb to RGB Color Space Converter (YCrCb2RGB) core.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    7.00 adk   07/14/14 First release.

## Macros
#define | XYCC_DEVICE_ID XPAR_YCRCB2RGB_0_DEVICE_ID
| The following constants map to the XPAR parameters created in the xparameters.h file. More...

## Functions
int | YCrCb2Rgb_Update_Example (u16 DeviceId)
| YCrCb to RGB Color Space Converter Register Update Example. More...
int | main (void)
| Main function to call the YCrCb2RGB example. More...

## Variables
XYCrCb2Rgb | XYccInstance
| Instance of the YCRCB2RGB core. More...

## Macro Definition Documentation

#define XYCC_DEVICE_ID XPAR_YCRCB2RGB_0_DEVICE_ID

The following constants map to the XPAR parameters created in the xparameters.h file.

They are defined here such that a user can easily change all the needed parameters in one place.

Referenced by main().

## Function Documentation

int main | ( | void |  | ) |

Main function to call the YCrCb2RGB example.

Parameters

  None. |

Returns
  - XST_SUCCESS if successful,
  - XST_FAILURE if it is unsuccessful

Note
  None.

References XYCC_DEVICE_ID, and YCrCb2Rgb_Update_Example().

int YCrCb2Rgb_Update_Example | ( | u16 | DeviceId | ) |

YCrCb to RGB Color Space Converter Register Update Example.

This function provides an example of the process used to update the coefficient and offset registers in the YCRCB2RGB core.

Parameters

  DeviceId | is the unique device id of the YCRCB2RGB core.

Returns
  - XST_SUCCESS if successful,
  - XST_FAILURE if it is un-successful

Note
  None.

References XYCrCb2Rgb_Coef_Inputs::ACoef, XYCrCb2Rgb_Coefficients::ACoef, XYCC_DATA_WIDTH_8, XYCC_STANDARD_ITU_601_SD, XYCC_TV_16_TO_240, XYCrCb2Rgb_CfgInitialize(), XYCrCb2Rgb_Coefficient_Translation(), XYCrCb2Rgb_Enable, XYCrCb2Rgb_LookupConfig(), XYCrCb2Rgb_RegUpdateDisable, XYCrCb2Rgb_RegUpdateEnable, XYCrCb2Rgb_Select_OutputRange(), XYCrCb2Rgb_Select_Standard(), XYCrCb2Rgb_SetActiveSize(), XYCrCb2Rgb_SetBOffset(), XYCrCb2Rgb_SetCoefs(), XYCrCb2Rgb_SetGOffset(), XYCrCb2Rgb_SetRGBMax(), XYCrCb2Rgb_SetRGBMin(), and XYCrCb2Rgb_SetROffset().

Referenced by main().

## Variable Documentation

XYCrCb2Rgb XYccInstance

Instance of the YCRCB2RGB core.